# Go Orus API

Go Orus API is a library, a set of [go-swagger](https://goswagger.io) templates and
a few code generation tools for easy implementation of a REST API based on a
[swagger 2.0](https://github.com/OAI/OpenAPI-Specification/blob/master/versions/2.0.md)
description file.

It uses a chosen set of tools, one for each need:

- [zerolog](https://github.com/rs/zerolog) for fast and beautiful logging
- [Postgresql](https://www.postgresql.org/) for storing the data, with the help
  of:

  * [lib/pq](https://github.com/lib/pq) as the database driver, soon to be
    replaced with [pgx](https://github.com/jackc/pgx)
  * [squirrel](https://github.com/Masterminds/squirrel) for safely writing SQL

- [sentry](https://sentry.io/) exports for monitoring errors
- [prometheus](https://prometheus.io/) metrics
- [go-swagger](https://goswagger.io) for generating most the server files
